#include <msgba/player.h>
#ifdef M_CORE_GBA
struct msPlayer *
msPlayerNewGBA (struct msCoreController *controller,
        struct GBASIOLockstepNode *node) {
    struct msPlayer *player = malloc (sizeof *player);
    player->controller = controller;
    player->node.gba = node;
    player->awake = 1;
    player->cyclesPosted = 0;
    player->waitMask = 0;
    return player;
}
#endif

#ifdef M_CORE_GB
struct msPlayer *
msPlayerNewGB (struct msCoreController *controller,
        struct GBSIOLockstepNode *node) {
    struct msPlayer *player = malloc (sizeof *player);
    player->controller = controller;
    player->node.gb = node;
    player->awake = 1;
    player->cyclesPosted = 0;
    player->waitMask = 0;
    return player;
}
#endif


