#include <linux/limits.h>

#include <mgba/flags.h>
#include <mgba/core/core.h>
#include <mgba/core/thread.h>
#include <mgba/core/interface.h>
#ifdef M_CORE_GBA
#include <mgba/internal/gba/sio/lockstep.h>
#endif  
#ifdef M_CORE_GB
#include <mgba/internal/gb/sio/lockstep.h>
#endif  
#include <mgba/core/serialize.h>
#include <mgba-util/vfs.h>

#include <msgba/multiplayer_controller.h>

struct msMultiplayerController *
msMultiplayerControllerNew (void) {
    struct msMultiplayerController *multiplayer = malloc (sizeof *multiplayer);
    pthread_mutex_init(&(multiplayer->lock), NULL);
    multiplayer->players = NULL;
    return multiplayer;
}

